package com.docus.server.collection.dto;

import lombok.Data;

/**
 * @author Fang Ruichuan
 * @date 2022-11-14 19:02
 */
@Data
public class DeptDto {
    /**
     * id-消息流水号  返回消息体需要
     */
    private String messageId;
    /**
     * 接收方
     */
    private String receiver;

    /**
     * 用户操作 operateType有三种值：C 代表新增、U 代表修改、D 代表删除
     */
    private String operateType;

    /**
     * 科室代码
     */
    private String deptCode;

    /**
     * 科室名称
     */
    private String deptName;


    /**
     * 操作人名称
     */
    private String authorName;


    /**
     * 操作人ID
     */
    private String authorId;


    /**
     * 转换用户修改对象
     *
     * @return 用户修改对象
     */
    public DeptModifyParam transDeptAddParam() {
        DeptModifyParam deptModifyParam = new DeptModifyParam();
        deptModifyParam.setDeptCode(this.deptCode);
        deptModifyParam.setDeptName(this.getDeptName());
        deptModifyParam.setAuthorName(this.authorName);
        deptModifyParam.setAuthorId(this.authorId);
        return deptModifyParam;
    }
}
